<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetProgress Method (IEdmCallback6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCallback6 Interface : SetProgress Method (IEdmCallback6)

Visual Basic
C#
C++/CLI

lBarIndex
  0-based index of the progress bar

lPos
  Current position

bsMsg
  Message to be displayed

Sets the current progress bar position.

# Syntax

Visual Basic |
--- | ---

    Function SetProgress( _
       ByVal lBarIndex As System.Integer, _
       ByVal lPos As System.Integer, _
       ByVal bsMsg As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool SetProgress(
       System.int lBarIndex,
       System.int lPos,
       System.string bsMsg
    )

C++/CLI |
--- | ---

    System.bool SetProgress(
    &   System.int lBarIndex,
    &   System.int lPos,
    &   System.String^ bsMsg
    )

#### Parameters

lBarIndex
  0-based index of the progress bar
lPos
  Current position
bsMsg
  Message to be displayed

#### Return Value

True to continue, false to cancel

# Example

See the IEdmCallback6 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- <any error code>: The calling method terminated.

# See Also

####

IEdmCallback6 Interface
IEdmCallback6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0